//
//  ThrowDiceViewController.m
//  Throwing
//
//  Created by kunii on 10/03/31.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ThrowDiceViewController.h"
#import "EAGLView.h"
#import "DiceGL.h"

@implementation ThrowDiceViewController
@synthesize glView, 
			billTextField, 
			billEnterButton, 
			billHelpLabel, 
			memberDescriptionLabel, 
			showGroupButton;


/*
	ビューが読み込まれた。
*/
- (void)viewDidLoad {
    [super viewDidLoad];	
	self.title = @"ダイスを回せ！";			//	タイトル。
	billEnterButton.hidden = YES;			//	金額入力ボタン（キーボードが表示されたときだけ現れるように今は隠す）
	billTextField.delegate = self;			//	キーボードが表示されるタイミングを知るために設定。

	UIImage* images[] = {
		[UIImage imageNamed:@"img1.png"],
		[UIImage imageNamed:@"img2.png"],
		[UIImage imageNamed:@"img3.png"],
		[UIImage imageNamed:@"img4.png"],
		[UIImage imageNamed:@"img5.png"],
		[UIImage imageNamed:@"img6.png"],
		[UIImage imageNamed:@"img7.png"]
	};
	[[glView dice] setImages:images max:7];
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

/*
	ビューが消える。
*/
- (void)viewDidUnload {
    [super viewDidUnload];
    self.glView = nil;
    self.billTextField = nil;
    self.billEnterButton = nil;
    self.billHelpLabel = nil;
    self.memberDescriptionLabel = nil;
    self.showGroupButton = nil;
}

/*
	コントローラ解放。
*/
- (void)dealloc {
	[glView release];
	[billTextField release];
	[billEnterButton release];
	[billHelpLabel release];
	[memberDescriptionLabel release];
	[showGroupButton release];

    [super dealloc];
}

/*
	金額の設定。
		10000 →	￥10,000　
	という表示に変換してbillTextFieldに設定。
*/
-(void)setBill:(int)bill {
	NSNumber* num = [NSNumber numberWithInt:bill];
	NSNumberFormatter* numberFormatter = [[[NSNumberFormatter alloc]init] autorelease];
	[numberFormatter setNumberStyle:NSNumberFormatterCurrencyStyle];
	[numberFormatter setLocale:[[NSLocale alloc ]initWithLocaleIdentifier:@"ja-JP"]];
	billTextField.text = [numberFormatter stringFromNumber:num];
}

/*
	ビューが表示された。
		サイコロの移譲先に自分を設定。
		アニメーションスタート。
*/
- (void)viewDidAppear:(BOOL)animated {
	[glView startAnimation];
}

/*
		サイコロの移譲先をnilにする。
		アニメーション停止。
*/
- (void)viewDidDisappear:(BOOL)animated {
    [glView stopAnimation];
}

/*
	キーボードが隠された。
*/
- (void)textFieldDidBeginEditing:(UITextField *)textField {
	billHelpLabel.hidden = YES;
	billEnterButton.hidden = NO;
}

//	請求金額入力
-(IBAction)doEnter:(id)sender {
	if (!billTextField.isFirstResponder) {
		[billTextField becomeFirstResponder];
		return;
	}
	[billTextField resignFirstResponder];
	int amount = [billTextField.text integerValue];
	[self setBill:amount];
	billEnterButton.hidden = YES;
}

//	TotalPaymentビューに戻る
-(IBAction)showGroup:(id)sender {
}

@end
