//
//  DiceGL.h
//  DiceView
//
//  Created by kunii on 10/03/29.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <QuartzCore/QuartzCore.h>
#import <OpenGLES/EAGLDrawable.h>
#import <OpenGLES/EAGL.h>
#import <OpenGLES/ES1/gl.h>

@interface DiceGL : NSObject {
	UIImage*		defaultImages[6];		//	初期画像（サイコロ）6面分
	GLuint			texture[6];				//	テクスチャ6面分
	int				maxIndex;				//	photos count と同じ値、
	NSMutableArray*	photos;					//	メンバー用写真を保持する。

	double			angle;					//	サイコロの回転度数
	int				movingPhase;			//	アニメーションの段階
	int				curtImageIndex[2];		//	現在の前2面に使われている画像のインディックスを記憶

	//	以下は movingPhase_Idle 時で有効
	double			xAxisRotateAngle;		//	x軸回転角
	double			xAxisRotateDeltaAngle;	//	x軸回転角スピード調整用
}

//	描画
-(void)draw;
//	サイコロを振る
-(void)throwDice:(double)inDelta;
//	写真設定
-(void)setImages:(UIImage**)images max:(int)max;
@end

enum {
	movingPhase_Idle,
	movingPhase_Rotate,
	movingPhase_Turn,
	movingPhase_Stop
};